﻿using System;
using System.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Security;
using AutoProofreader.Enums;

  namespace AutoProofreader.Tests.BusinessObjects
{
    [TestClass]
    public class QuestionTest
    {
        [ClassInitialize()]
        public static void ClassInit(TestContext context)
        {
            string userName = ConfigurationManager.AppSettings["TestUserName"];
            string password = ConfigurationManager.AppSettings["TestPassword"];
            SecurityProvider.Login(userName , password);
        }


        [TestMethod]
        public void Load()
        {
            User user = new User();
            user.UserId = 1;

            Assert.IsTrue(user.Load());
        }

        [TestMethod]
        public void Save()
        {
            User user = new User();
            user.FirstName = "test";
            user.LastName = "test";
            user.UserName = DateTime.Now.Ticks.ToString() + "_test@uoc.test";
            user.UserType = new UserType(UserType.Student);
            user.Save();

            Assert.IsTrue(user.Exists());
        }


    }
}
