﻿using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Dao
{
    internal interface IAnswerDAO
    {
        int Add(long questionId, string answerDescription, string isCorrectHint, string isIncorrectHint, string correctValue);
        void Update(long questionId, long answerNumber, string answerDescription, string isCorrectHint, string isIncorrectHint, string correctValue);
        void Delete(long questionId, long answerNumber);
        IDataReader ListByQuestionId(long questionId);

        IDataReader GetById(long questionId, long answerNumber);
    }
}


