﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Enums
{
     [Serializable]
    public class EditStatus:EnumBase
    {
        public const char Edit = 'E';
        public const char Published = 'P';

        public EditStatus(char _value):base(_value)
        {

        }

        public EditStatus()
            : base()
        {

        }

        public override string ToString()
        {
            return EditStatus.ToString(value);
        }


        public static string ToString(char value)
        {
            switch (value)
            {
                case EditStatus.Edit:
                    return "En edició";
                case EditStatus.Published:
                    return "Publicada";
            }
            return null;
        }


        public static EditStatus FromString(string editStatus)
        {
            if (!string.IsNullOrEmpty(editStatus))
            {
                return new EditStatus(Char.Parse(editStatus));
            }
            else
            {
                return null;
            }
        }
    }
}
