﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.Enums;
using AutoProofreader.UI;

namespace Web
{
    public partial class _Default : PageBase
    {
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Administrator); }
        }

        protected string fullUserName = "";

        protected override void OnInit(EventArgs e)
        {
            fullUserName = this.securityProvider.GetCurrentUserSession().FirstName + " " + this.securityProvider.GetCurrentUserSession().LastName;
            base.OnInit(e);
        }
    }
}