﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="EditCategory.aspx.cs" Inherits="Web.Admin.EditCategory" %>

<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <p>
        <a href="CategoryList.aspx">Tornar a Categories</a>
    </p>
    <asp:UpdatePanel ID="pnl_Header" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <h1>
                <i class="fa fa-tags seafoam_green"></i>    
                 <%=pageTitle %>
            </h1>
        </ContentTemplate>
    </asp:UpdatePanel>

    <apr:AprMenu runat="server" ID="menu_category">
        <apr:AprMenuItem runat="server" DisplayText="Dades">

            <apr:AprUserFeedback ID="userFeedback" runat="server" ValidationGroup="Edit" />

            <p>
                <apr:AprLabel ID="lb_CategoryName" runat="server" AssociatedControlID="txt_CategoryName">Nom</apr:AprLabel>
                <apr:AprTextBox runat="server" ID="txt_CategoryName" />
                <apr:AprRequiredFieldValidator ID="rfv_CategoryName" runat="server" ControlToValidate="txt_CategoryName" ErrorMessage="El nom de la categoria és un camp obligatori."  ValidationGroup="Edit" />
            </p>
            <p>
                <apr:AprCheckBox ID="chk_isDeleted" runat="server"  Text="Esborrat?" />
            </p>

            <apr:AprButton ID="btnSave" runat="server" OnClick="BtnSaveCategory_Click" Text="Guardar" ValidationGroup="Edit" />
        </apr:AprMenuItem>
    </apr:AprMenu>





</asp:Content>
