﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="UserList.aspx.cs" Inherits="Web.Admin.UserList" %>

<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>


<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <h1>
        <i class="fa fa-user seafoam_green"></i>
        Usuaris

        <apr:AprButton CssClass="float_right" ID="btnNew" runat="server" Text="Crear usuari" OnClientClick="javascript: window.location.href = 'EditUser.aspx'; return false;" />

    </h1>
    <asp:UpdatePanel ID="up_UserList" runat="server" UpdateMode="Conditional">

        <ContentTemplate>

            <asp:Panel ID="pnl_Filter" runat="server" DefaultButton="btn_Search">
                <fieldset>
                    <legend></legend>
                    <table style="width: 100%">
                        <tr>
                            <td>
                                <apr:AprLabel CssClass="noblock" ID="lb_Search" runat="server" AssociatedControlID="txt_Search">Filtrar per text</apr:AprLabel>
                                <apr:AprTextBox runat="server" ID="txt_Search" MaxLength="50" Width="200px" /></td>
                            <td>
                                <apr:AprLabel CssClass="noblock" ID="lb_userType" runat="server" AssociatedControlID="ddl_UserType">Filtrar per tipus d'usuari</apr:AprLabel>
                                <apr:AprDropDownList ID="ddl_UserType" runat="server" EnumType="UserType" EmptyListItem="-- Sel.leccionar --" AutoPostBack="true" OnSelectedIndexChanged="ddl_UserType_SelectedIndexChanged" />
                            </td>
                            <td style="text-align: center">
                                <apr:AprCheckBox ID="chk_isDeleted" runat="server" Text="Mostrar esborrats" AutoPostBack="true" OnCheckedChanged="chk_isDeleted_CheckedChanged" />
                            </td>
                        </tr>
                    </table>
                    <asp:Button ID="btn_Search" runat="server" CssClass="nodisplay" OnClick="btn_Search_Click" />
                </fieldset>
            </asp:Panel>

            <apr:AprGridView ID="gv_UserList"
                runat="server"
                EmptyDataText="No s'ha trovat cap usuari"
                SelectMethod="gv_UserList_GetData">
                <Columns>
                    <asp:HyperLinkField DataTextField="UserName" DataNavigateUrlFields="UserId" DataNavigateUrlFormatString="EditUser.aspx?UserId={0}" HeaderText="Usuari" SortExpression="UserName" />
                    <asp:BoundField DataField="UserType" HeaderText="Tipus" SortExpression="UserType" />
                    <asp:BoundField DataField="LastName" HeaderText="Cognom" SortExpression="LastName" />
                    <asp:BoundField DataField="FirstName" HeaderText="Nom" SortExpression="FirstName" />
                </Columns>
            </apr:AprGridView>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
