﻿<%@ Page Title="Corrector automàtic de proves" Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Web.Default" %>

<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>

<html lang="en">
<head id="Head1" runat="server">
    <meta charset="utf-8" />
    <title><%: Page.Title %></title>

    <webopt:BundleReference ID="BundleReference1" runat="server" Path="~/Content/css" />
    <webopt:BundleReference ID="BundleReference2" runat="server" Path="~/Content/themes/base/css" />

    <link href="~/favicon.ico" rel="shortcut icon" type="image/x-icon" />
    <meta name="viewport" content="width=device-width" />

</head>
<body>
    <form id="Form1" runat="server" role="form">

        <asp:ScriptManager runat="server">
            <Scripts>
                <asp:ScriptReference Name="MsAjaxBundle" />
                <asp:ScriptReference Name="jquery" />
                <asp:ScriptReference Name="jquery.ui.combined" />
                <asp:ScriptReference Name="WebForms.js" Assembly="System.Web" Path="~/Scripts/WebForms/WebForms.js" />
                <asp:ScriptReference Name="WebUIValidation.js" Assembly="System.Web" Path="~/Scripts/WebForms/WebUIValidation.js" />
                <asp:ScriptReference Name="Focus.js" Assembly="System.Web" Path="~/Scripts/WebForms/Focus.js" />
                <asp:ScriptReference Name="WebFormsBundle" />
                <%--Site Scripts--%>
            </Scripts>
        </asp:ScriptManager>


        <div id="page" style="min-height: 579px;">
            <div id="page_contents">
                <div class="borderDiv">
                    <h2>Introdueix el teu nom d'usuari i contrasenya.</h2>

                    <apr:AprUserFeedback ID="fed_Login" runat="server" ValidationGroup="login" />

                    <table>
                        <tr>
                            <td>
                                <apr:AprLabel ID="lb_UserName" runat="server" Text="Usuari:" /></td>
                            <td>
                                <apr:AprTextBox ID="txtUserName" runat="server" />
                                <apr:AprRequiredFieldValidator ID="fv_UserName" runat="server" ControlToValidate="txtUserName" ErrorMessage="El nom usuari és obligatori." ValidationGroup="login" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <apr:AprLabel ID="lb_Password" runat="server" Text="Contrasenya:" />
                            </td>
                            <td>
                                <apr:AprTextBox ID="txtPassword" runat="server" TextMode="Password" />
                                <apr:AprRequiredFieldValidator ID="fv_txtPassword" runat="server" ControlToValidate="txtPassword"  ErrorMessage="La contrasenya és obligatoria" ValidationGroup="login" />
                            </td>
                        </tr>
                    </table>
                    <p>
                        <apr:AprCheckBox runat="server" ID="chkRememberMe" Text="Recordarme?" />
                    </p>

                    <br />
                    <p>

                        <apr:AprButton ID="btn_Login" runat="server" Text="Entrar" OnClick="btn_Login_Click" ValidationGroup="login"  CausesValidation="true" />
                    </p>
                </div>
            </div>
        </div>
    </form>
</body>
</html>

