﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Optimization;
using System.Web.Routing;
using System.Web.Security;
using Web;
using AutoProofreader.BusinessObjects;

namespace Web
{
    public class Global : HttpApplication
    {
        void Application_Start(object sender, EventArgs e)
        {
            // Code that runs on application startup
            BundleConfig.RegisterBundles(BundleTable.Bundles);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
        }

        void Application_End(object sender, EventArgs e)
        {
            //  Code that runs on application shutdown

        }

        void Application_Error(object sender, EventArgs e)
        {
            // Code that runs when an unhandled error occurs
            Exception ex = Server.GetLastError().InnerException;
            if (ex != null)
            { 
                string message = ex.Message;

                try
                {
                    Log.Error(string.Format("Exception: {0}, Stack trace: {1}", ex.Message, ex.StackTrace));
                }
                catch (Exception)
                {

                }
            }
            Response.Redirect("~/ShowError.aspx", true);
        }
    }
}
