﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Exceptions;
using AutoProofreader.Enums;
using AutoProofreader.Managers;
using AutoProofreader.UI;
using AutoProofreader.UI.WebControls;
using AutoProofreader.Utils;

namespace Web.Student
{
    public partial class ViewTest : PageBase
    {
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Student); }
        }
        protected override void OnPreInit(EventArgs e)
        {
            DisableSubmitOnEnter();
         
            base.OnPreInit(e);
        }

        protected override void OnLoad(EventArgs e)
        {
           
            base.OnLoad(e);
        }
    }
}
