﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Web.UI;
using System.Web.UI.WebControls;
using CKEditor.NET;


namespace AutoProofreader.UI.WebControls
{
    public class AprEditor : CKEditorControl 
    {
        public bool IsRequired = false;


        public override string Text
        {
            get
            {
                //Anti xss
                string text = base.Text;
                return text;
            }
            set
            {
                base.Text = value;
            }
        }

        protected override void OnInit(EventArgs e)
        {
            this.TextMode = TextBoxMode.MultiLine;
            this.ClientIDMode = System.Web.UI.ClientIDMode.Static;
            this.Language = "CA";


            this.Toolbar = "Cut|Copy|Paste|PasteText|PasteFromWord|-|Print|Find|Replace|-|SelectAll|RemoveFormat\n/\r\nBold|Italic|Underline|Strike|-|Subscript|Superscript\r\nNumberedList|BulletedList|-|Outdent|Indent|Blockquote|CreateDiv\r\nJustifyLeft|JustifyCenter|JustifyRight|JustifyBlock\r\nBidiLtr|BidiRtl\r\nLink|Unlink|Anchor\rTable|HorizontalRule|\r\nStyles|Format|Font|FontSize\r\nTextColor|BGColor|ShowBlocks|Image|";
            base.OnInit(e);
        }

        protected override void OnPreRender(EventArgs e)
        { 
            base.OnPreRender(e);
        }

    }
}
