﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;

namespace AutoProofreader.UI.WebControls
{
    public class AprSound : WebControl
    {
        public string SoundUrl;

        protected override void OnPreRender(EventArgs e)
        {
            HtmlGenericControl span = new HtmlGenericControl("span");
            this.Controls.Add(span);

            HtmlAnchor htmlAnchor = new HtmlAnchor();
            htmlAnchor.Attributes.Add("onclick", "javascript: playSound('" + this.SoundUrl + "');");
            htmlAnchor.HRef = "#";

            HtmlGenericControl i = new HtmlGenericControl("i");
            i.Attributes.Add("class", "fa fa-file-sound-o largeFont");

            htmlAnchor.Controls.Add(i);
            
            this.Controls.Add(htmlAnchor);

            string js = "var audio= null;" +
                        "function playSound(url) {" +
                        " if (audio != null) audio.pause();" +
                        " audio = document.createElement('audio');" +
                        " audio.setAttribute('src', url );" +
                        " audio.setAttribute('autoplay', 'autoplay');" +
                        " audio.play(); }";

            ScriptManager.RegisterStartupScript(this.Page, this.GetType(),  "AprSound", js, true);

            base.OnPreRender(e);
        }
    }
}
