﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.UI.WebControls;

namespace AutoProofreader.UI.WebControls
{
    public class AprTextBox : TextBox 
    {
        public string PlaceHolder;


        protected override void OnPreRender(EventArgs e)
        {
            if (!string.IsNullOrEmpty(PlaceHolder))
            {
                this.Attributes.Add("placeholder", PlaceHolder);
            }

            base.OnPreRender(e);
        }
    }
}
