﻿using System;
using System.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Security;

  namespace AutoProofreader.Tests.BusinessObjects
{
    [TestClass]
    public class CategoryTest
    {
        [ClassInitialize()]
        public static void ClassInit(TestContext context)
        {
            string userName = ConfigurationManager.AppSettings["TestUserName"];
            string password = ConfigurationManager.AppSettings["TestPassword"];
            SecurityProvider.Login(userName , password);
        }


        [TestMethod]
        public void Load()
        {
            Category category = new Category();
            category.CategoryId = 1;

            Assert.IsTrue(category.Load());
        }

        [TestMethod]
        public void Save()
        {
            Category category = new Category();
            category.CategoryName = "test";
            category.Save();

            Assert.IsTrue(category.Exists());
        }


    }
}
