﻿using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Dao
{
    public interface ICategoryDAO
    {
        long Add(DaoTransaction transaction, string categoryName, DateTime createdDate, long createdBy, bool isDeleted);
        void Update(DaoTransaction transaction, long categoryId, string categoryName, DateTime updateDate, long updatedBy, bool isDeleted);
        IDataReader GetById(long categoryId);
        IDataReader List();
        IDataReader Select(string searchText, bool isDeleted, int maximumRows, int startRowIndex, string sortColumn, string sortDirection);
        int Count(string searchText, bool isDeleted);
        IDataReader ListByQuestionEditStatus(string editStatus);
    }
}


