﻿using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Dao
{
    public interface ILogDAO
    {
        long Add(DaoTransaction transaction, string description, string logType, DateTime createdDate, long createdBy);
        IDataReader List(long userId);
        IDataReader Select(long? userId, DateTime? startDate, DateTime? endDate, string errorType, int startRowIndex, int maximumRows);
        int Count(long? userId, DateTime? startDate, DateTime? endDate, string errorType);
    }
}


