﻿using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoProofreader.Dao
{
    public interface IQuestionDAO
    {
        long Add(DaoTransaction transaction, string questionDescription, string editStatus, string answersType, long categoryId, DateTime createdDate, long createdBy, bool isDeleted);
        void Update(long questionId, string questionDescription, long categoryId, DateTime updateDate, long updatedBy, bool isDeleted);

        void UpdateResources(long questionId, string imageResource, string soundResoure, DateTime updateDate, long updatedBy);
        IDataReader GetById(long questionId);
        IDataReader ListByEditStatusCategoryId(string editStatus, long? categoryId, long? testId);
        IDataReader ListByTestId(long testId);
        IDataReader ListByAttemptId(long attemptId);
        void UpateEditStatus(DaoTransaction transaction, long testId, string editStatus);
    }
}


