﻿using System;
using System.Data.Common;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Dao;
using AutoProofreader.Dao.SqlServer;

namespace AutoProofreader.Utils
{
    /// <summary>
    /// Date related methods helper class
    /// </summary>
    public class DateUtils
    {
        public static string GetString(DateTime dateTime) 
        {
            return dateTime.ToShortDateString() + " " + dateTime.ToShortTimeString();
        }

        public static string TimeSpanToString(TimeSpan timeSpan) 
        {
            string timeSpanToString = "";

            if (timeSpan.Hours > 0)
            { 
                timeSpanToString+= timeSpan.Hours + " hore(s) ";
            }

            if (timeSpan.Minutes > 0)
            {
                timeSpanToString += timeSpan.Minutes + " minut(s) ";
            }

            if (timeSpan.Seconds > 0)
            {
                timeSpanToString += timeSpan.Seconds + " segon(s)";
            }

            return timeSpanToString;
        }
    }
}
