﻿using System;
using System.Text.RegularExpressions;
using System.Web;

namespace AutoProofreader.Utils
{
    /// <summary>
    /// Encoding utility methods
    /// </summary>
    public class EncodingUtils
    {
        public static string DecodeHtml(string html) 
        {
            if (!string.IsNullOrEmpty(html))
            {
                return HttpUtility.HtmlDecode(html.Replace("&amp;", "&"));
            }
            else
            {
                return "";
            }
        }


        public static string CleanEncodedHtml(string html)
        {
            string output= "";
            if (!string.IsNullOrEmpty(html))
            {
                output = html.Replace("\n", "");
                output= Regex.Replace(output, "<.*?>", String.Empty);
            }
            return output;
        }
    }
}
