﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="CategoryList.aspx.cs" Inherits="Web.Admin.CategoryList" %>

<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">

    <h1>
        <i class="fa fa-tags seafoam_green"></i>
        Categories

        <div class="float_right">
            <apr:AprButton ID="btnNew" runat="server" Text="Crear categoria" OnClientClick="javascript: window.location.href = 'EditCategory.aspx'; return false;" />
        </div>

    </h1>


    <asp:UpdatePanel ID="up_CategoryList" runat="server" UpdateMode="Conditional">

        <ContentTemplate>
            <asp:Panel ID="pnl_Filter" runat="server" DefaultButton="btn_Search">
                <fieldset>
                    <legend></legend>
                    <table style="width: 100%">
                        <tr>
                            <td>
                                <apr:AprLabel CssClass="noblock" ID="lb_Search" runat="server" AssociatedControlID="txt_Search">Filtrar per text</apr:AprLabel>
                                  <apr:AprTextBox runat="server" ID="txt_Search" MaxLength="50" Width="200px" />
                            </td>
                            <td>
                                <apr:AprCheckBox ID="chk_isDeleted" runat="server" Text="Mostrar esborrats" AutoPostBack="true" OnCheckedChanged="chk_isDeleted_CheckedChanged" />
                            </td>
                        </tr>
                    </table>
                    <apr:AprButton CssClass="nodisplay" ID="btn_Search" runat="server" OnClick="btn_Search_Click" Text="Buscar" />
                </fieldset>
            </asp:Panel>

            <apr:AprGridView ID="gv_CategoryList"
                runat="server"
                EmptyDataText="No s'ha trovat cap categoria"
                SelectMethod="gv_CategoryList_GetData"
                OnRowDataBound="gv_CategoryList_RowDataBound">
                <Columns>
                    <asp:HyperLinkField DataTextField="CategoryName" DataNavigateUrlFields="CategoryId" DataNavigateUrlFormatString="EditCategory.aspx?CategoryId={0}" HeaderText="Categoria" SortExpression="CategoryName" />
                </Columns>
            </apr:AprGridView>
        </ContentTemplate>

    </asp:UpdatePanel>




</asp:Content>
