﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TestControl.ascx.cs" Inherits="Web.Controls.TestControl" %>

<script type="text/javascript" src="../Scripts/jquery.countdown.min.js"></script>

<header class="headerTest">
    <asp:UpdatePanel ID="pnl_AttemptInfo" runat="server" UpdateMode="Conditional">
        <ContentTemplate>

            <div id="div_TestTitle" class="testTitle borderDiv">
                <apr:AprLabel ID="lb_TestTitle" runat="server" CssClass="largeText" />

                <asp:Panel ID="pnl_RemainingTime" CssClass="testRemainingTime" runat="server" Visible="false">
                    Temps restant:
                    <apr:AprLabel CssClass="red largeText" ID="lb_RemainingTime" runat="server" />
                </asp:Panel>

                <asp:Panel ID="pnl_Result" runat="server" CssClass="testResult" Visible="false">
                    Resultat de la prova:
                    <apr:AprLabel ID="lb_Result" runat="server" CssClass="result" />

                    <asp:Button ID="btnClose"  CssClass="float_right" runat="server" Text="Tancar" CausesValidation="false" OnClientClick="javascript: window.close();"/>
                </asp:Panel>
            </div>        
        </ContentTemplate>
    </asp:UpdatePanel>

</header>

<div id="page" style="min-height: 579px;">

    <div id="page_contents_test">

        <asp:UpdatePanel ID="pnl_Test" runat="server" UpdateMode="Conditional"> 

            <ContentTemplate>

                <asp:Wizard ID="wz_Test" runat="server" DisplaySideBar="false" CssClass="tblTest"
                    StartNextButtonText="Començar prova"
                    OnFinishButtonClick="wz_Test_FinishButtonClick"
                    OnNextButtonClick="wz_Test_NextButtonClick">
                    <WizardSteps>
                        <asp:WizardStep ID="Start" runat="server" StepType="Start" AllowReturn="false">
                            <asp:Literal ID="lit_Description" runat="server" />

                            <ul>
                                <li>Aquesta prova consta de
                        <apr:AprLabel ID="lb_QuestionsCount" runat="server" />
                                    preguntes</li>
                                <li>Disposes de
                        <apr:AprLabel ID="lb_ResolutionMaxMinutes" runat="server" />
                                    minuts per fer la prova </li>
                            </ul>
                        </asp:WizardStep>
                    </WizardSteps>

                    <StepNavigationTemplate>
                        <asp:Button CssClass="float_left" ID="btnPrevious" runat="server" Text="Anterior" CausesValidation="false" CommandName="MovePrevious" />

                        <asp:Button CssClass="float_right" ID="btnNext" runat="server" Text="Següent" CausesValidation="false" CommandName="MoveNext" />
                    </StepNavigationTemplate>

                    <FinishNavigationTemplate>

                        <asp:Button ID="FinishPreviousButton" CssClass="float_left" runat="server" CausesValidation="False" CommandName="MovePrevious" Text="Anterior" Visible="true" />

                        <asp:Button ID="FinishButton" CssClass="float_right" runat="server" CommandName="MoveComplete" Text="Finalitzar prova" Visible="true" />
               
                    </FinishNavigationTemplate>

                </asp:Wizard>

                <asp:Button ID="btnExpired" runat="server" ClientIDMode="Static" Visible="true" Style="display: none" OnClick="btnExpired_Click" />

            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    <script>
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(scrollToTop);

        function scrollToTop() {
            window.scrollTo(0, 0);
        }
    </script>

</div>
