﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="TestArchive.aspx.cs" Inherits="Web.Student.TestArchive" %>
<%@ Import Namespace=" AutoProofreader.BusinessObjects" %>
<%@ Import Namespace=" AutoProofreader.Enums" %>
<%@ Import Namespace=" AutoProofreader.Utils" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <script type="text/javascript">
        function ViewTest(testId, classroomId, attemptId) {
            if (attemptId) {
                openPopup('ViewTest.aspx?TestId=' + testId + '&ClassroomId=' + classroomId + '&attemptId=' + attemptId);
            }
            else {
                openPopup('ViewTest.aspx?TestId=' + testId + '&ClassroomId=' + classroomId);
            }
        }
    </script>
    <h1>
        <i class="fa fa-archive seafoam_green"></i>
         Històric de proves
    </h1>
     <hr />
    <script type="text/javascript">
        function refresh() {
            $('#btnRefresh').click();
        }
    </script>

        <% 
            long? classroomId= null;
            long? testId = null;
            int attemptNumber= 0;

            if (attemptList.Count > 0)
            {
                foreach (Attempt attempt in attemptList)
                {
                    if (classroomId != attempt.Classroom.ClassroomId)
                    {
                        if (classroomId != null)
                        {
                            if (testId != null)
                            {
                                if (attemptNumber > 0)
                                {
                                    Response.Write("</table></td><td></td></tr>");
                                }
                                Response.Write("</table></div>");
                                testId = null;
                            }
                        }
                        attemptNumber = 0;
                        Response.Write("<h3 class='testClassroomName'>Aula: " + attempt.Classroom.ClassroomName + "</h3>");

                        classroomId = attempt.Classroom.ClassroomId;
                    }

                    if (testId != attempt.Test.TestId)
                    {

                        if (testId != null)
                        {
                            if (attemptNumber > 0)
                            {
                                Response.Write("</table></td><td></td></tr></table>");
                            }
                            Response.Write("</div>");
                        }
                        attemptNumber = 0;                                                
                        Response.Write("<div class='borderDiv borderBottom'>");
                        Response.Write("<table width='100%'>");
                        Response.Write(" <tr><td>");
                        Response.Write("   <table>");
                        Response.Write(string.Format("<tr><td>Prova:</td><td>{0}</td></tr>", attempt.Test.TestName));
                                           
                                                
                        if (attempt.Classroom.EndDate.HasValue)
                        {
                            Response.Write(string.Format("<tr><td>Disponible:</td><td>Del {0} al {1}</td></tr>", attempt.Classroom.StartDate.Value.ToShortDateString(), attempt.Classroom.EndDate.Value.ToShortDateString()));
                        }

                        if (attempt.Test.ResolutionMaxMinutes.HasValue)
                        {
                            Response.Write(string.Format("<tr><td>Temps màxim:</td><td>{0} minuts</td></tr>", attempt.Test.ResolutionMaxMinutes.Value));
                        }
                                                
                        if (attempt.Test.MaxAttempts.HasValue)
                        {
                            Response.Write(string.Format("<tr><td>Número màxim d'intents:</td><td>{0}</td></tr>", attempt.Test.MaxAttempts.Value));
                        }
                        Response.Write("</table>");
                        Response.Write("</td>");
                        Response.Write("<td align='center' width='30%'>");
                        Response.Write("</td>");
                        Response.Write("</tr>");

                        if (attempt.AttemptId.HasValue)
                        {
                            Response.Write("<tr><td>Intents:");
                            Response.Write("<table class='aprGrid' style='width:100%'>");
                            Response.Write("<tr>");
                            Response.Write("<th>Nº</th>");
                            Response.Write("<th>Data</th>");
                            Response.Write("<th>Temps</th>");
                            Response.Write("<th>Puntuació</th>");
                            Response.Write("</tr>");
                            
                        }

                        testId = attempt.Test.TestId;
                    }

                    if (attempt.AttemptId.HasValue)
                    {
                        attemptNumber ++;
                        Response.Write("<tr>");
                        Response.Write("<td align='center'>");
                        Response.Write(string.Format("<a href=\"#\" onclick=\"javascript:ViewTest({0},{1},{2}); return false;\")>", attempt.Test.TestId, attempt.Classroom.ClassroomId, attempt.AttemptId));
                        Response.Write(attemptNumber);
                        Response.Write("</td>");

                        Response.Write("<td align='center'>" + attempt.StartDate.Value.ToString("dd/MM/yyyy hh:mm") + "</td>"); 
                        
                        if (attempt.HasExpired()) 
                        {
                            Response.Write("<td align='center'>" + attempt.ElapsedTimeToString + "</td>");
                            Response.Write("<td align='center'>" + attempt.Score + "</td>");    
                        }
                                                                           
                        Response.Write("</tr>");
                    }              
                }
                Response.Write("</div>");
            }
            else
            {
                Response.Write("<br/><h2>No hi ha proves disponibles en aquest moment</h2>");             
            }                
        %>



    <asp:Button ID="btnRefresh" runat="server" ClientIDMode="Static" Visible="true" Style="display:none" />


</asp:Content>

