﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Managers;
using AutoProofreader.UI;

namespace Web.Student
{
    public partial class TestArchive : PageBase
    {
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Student); }
        }

        protected List<Attempt> attemptList = new List<Attempt>();

        protected void Page_Load(object sender, EventArgs e)
        {
            attemptList = AttemptManager.ListHistoryForStudent();
        }

    
        protected override void OnPreRender(EventArgs e)
        {
        

            base.OnPreRender(e);
        }


    }
}