﻿<%@ Page EnableViewState="true" Language="C#" AutoEventWireup="true" CodeBehind="ViewTest.aspx.cs" Inherits="Web.Student.ViewTest" %>
<%@ Register TagPrefix="apr" TagName="TestControl" Src="~/Controls/TestControl.ascx" %>

<html lang="ca">
<head id="Head1" runat="server">
    <meta charset="utf-8" />
    <title><%: Page.Title %></title>

    <webopt:BundleReference ID="BundleReference1" runat="server" Path="~/Content/css" />
    <webopt:BundleReference ID="BundleReference2" runat="server" Path="~/Content/themes/base/css" />

    <link href="~/favicon.ico" rel="shortcut icon" type="image/x-icon" />
    <meta name="viewport" content="width=device-width" />
    <script type="text/javascript" src="/Scripts/Utilities.js"></script> 

</head>
<body>
    <form id="Form1" runat="server" role="form">
      <asp:ScriptManager runat="server">
            <Scripts>
                <asp:ScriptReference Name="jquery" />
            </Scripts>
        </asp:ScriptManager>

        <apr:TestControl ID="testControl" runat="server" />
    </form>
</body>
</html>
