﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AutoProofreader.BusinessObjects;
using AutoProofreader.Enums;
using AutoProofreader.Managers;
using AutoProofreader.UI;

namespace Web.Teacher
{
    public partial class TestList : PageBase
    {
        /// <summary>
        /// Security page check based on user type 
        /// </summary>
        protected override UserType pageUserType
        {
            get { return new UserType(UserType.Teacher); }
        }


        protected void Page_Load(object sender, EventArgs e)
        {

        }

        public IQueryable<Test> gv_TestList_GetData()
        {
            return TestManager.ListInEdition(txt_Search.Text, chk_isDeleted.Checked).AsQueryable<Test>();
        }

        protected void btn_Search_Click(object sender, EventArgs e)
        {
            this.gv_TestList.DataBind();
        }

        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
        }

        protected void chk_isDeleted_CheckedChanged(object sender, EventArgs e)
        {
            this.gv_TestList.DataBind();
        }
    }
}
