﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ViewClassroom.aspx.cs" Inherits="Web.Teacher.ViewClassroom" %>

<%@ Register TagPrefix="apr" Namespace="AutoProofreader.UI.WebControls" Assembly="AutoProofreader.UI" %>


<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">

    <p>
        <a href="ClassroomList.aspx">Tornar a les meves aules</a>
    </p>
    <h1>
        <i class="fa fa-calendar seafoam_green"></i>
        <%=pageTitle %>
    </h1>

    <apr:AprMenu ID="menuClassroom" runat="server">
        <apr:AprMenuItem runat="server" DisplayText="Dades">

            <apr:AprUserFeedback ID="userFeedback" runat="server" ValidationGroup="Edit" />

            <p>
                <apr:AprLabel ID="lb_ClassroomName" runat="server" AssociatedControlID="txt_ClassroomName">Nom</apr:AprLabel>
                <apr:AprLabel runat="server" ID="txt_ClassroomName" />
            </p>
            <p>
                <apr:AprLabel ID="lb_StartDate" runat="server" AssociatedControlID="txt_StartDate">Data inici</apr:AprLabel>
                <apr:AprLabel runat="server" ID="txt_StartDate" />
            </p>
            <p>
                <apr:AprLabel ID="lb_EndDate" runat="server" AssociatedControlID="txt_EndDate">Data fi</apr:AprLabel>
                <apr:AprLabel runat="server" ID="txt_EndDate" />
            </p>
        </apr:AprMenuItem>
        <apr:AprMenuItem runat="server" DisplayText="Estudiants i profesors">
            <asp:Panel ID="pnl_UserList" runat="server">
                <p>
                    <apr:AprGridView ID="gv_UserList"
                        runat="server"
                        DataKeyNames="UserId"
                        SelectMethod="gv_User_GetData"
                        EmptyDataText="No hi ha cap estudiant o profesor a l'aula"
                        OnRowDataBound="gv_User_RowDataBound">
                        <Columns>
                            <asp:BoundField DataField="UserType" HeaderText="Tipus" SortExpression="UserType" />
                            <asp:BoundField DataField="FullName" HeaderText="Usuari" SortExpression="LastName" />
                        </Columns>
                    </apr:AprGridView>
                </p>
            </asp:Panel>
            <asp:Panel ID="pnl_User" runat="server" Visible="false">
                Estudiant:
                <apr:AprLabel ID="lb_FullName" runat="server" />

                <apr:AprButton CssClass="float_right noblock" ID="btn_Back" runat="server" Text="Tornar" Visible="true" OnClick="btn_Back_Click" />
                <br /><br />
                <apr:AprGridView ID="gv_StudentAttempsList"
                    runat="server"
                    DataKeyNames="AttemptId"
                    SelectMethod="gv_StudentAttempsList_GetData"
                    EmptyDataText="Aquest estudiant no ha fet cap intent d'aquesta prova."
                    >
                    <Columns>
                        <asp:BoundField DataField="Test.TestName" HeaderText="Prova" />
                        <asp:BoundField DataField="StartDate" HeaderText="Data" />
                        <asp:BoundField DataField="ElapsedTimeToString" HeaderText="Minuts" />
                        <asp:BoundField DataField="Score" HeaderText="Puntuació" />
                    </Columns>
                </apr:AprGridView>

            </asp:Panel>
        </apr:AprMenuItem>
    </apr:AprMenu>
</asp:Content>
